| emacps Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XEmacPs_Config Struct Reference
Overview

This typedef contains configuration information for a device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Physical base address of IPIF registers. More...
u8 | IsCacheCoherent
| Applicable only to A53 in EL1 mode; describes whether Cache Coherent or not. More...
u16 | S1GDiv0
| 1Gbps Clock Divider 0 More...
u8 | S1GDiv1
| 1Gbps Clock Divider 1 More...
u16 | S100MDiv0
| 100Mbps Clock Divider 0 More...
u8 | S100MDiv1
| 100Mbps Clock Divider 1 More...
u16 | S10MDiv0
| 10Mbps Clock Divider 0 More...
u8 | S10MDiv1
| 10Mbps Clock Divider 1 More...

## Detailed Description

This typedef contains configuration information for a device.

## Field Documentation

UINTPTR XEmacPs_Config::BaseAddress

Physical base address of IPIF registers.

Referenced by EmacPsDmaIntrExample(), EmacPsDmaSingleFrameIntrExample(), EmacPsUtilEnterLocalLoopback(), main(), XEmacPs_CfgInitialize(), XEmacPs_ClearHash(), XEmacPs_ClearOptions(), XEmacPs_DeleteHash(), XEmacPs_DMABLengthUpdate(), XEmacPs_GetHash(), XEmacPs_GetMacAddress(), XEmacPs_GetOperatingSpeed(), XEmacPs_IntrHandler(), XEmacPs_PhyRead(), XEmacPs_PhyWrite(), XEmacPs_Reset(), XEmacPs_SendPausePacket(), XEmacPs_SetHash(), XEmacPs_SetMacAddress(), XEmacPs_SetMdioDivisor(), XEmacPs_SetOperatingSpeed(), XEmacPs_SetOptions(), XEmacPs_SetQueuePtr(), XEmacPs_SetTypeIdCheck(), XEmacPs_SetupPCS(), XEmacPs_Start(), XEmacPs_Stop(), and XEmacPsClkSetup().

u16 XEmacPs_Config::DeviceId

Unique ID of device.

Referenced by XEmacPs_CfgInitialize().

u8 XEmacPs_Config::IsCacheCoherent

Applicable only to A53 in EL1 mode; describes whether Cache Coherent or not.

Referenced by EmacPsDmaSingleFrameIntrExample(), and XEmacPs_CfgInitialize().

u16 XEmacPs_Config::S100MDiv0

100Mbps Clock Divider 0

Referenced by XEmacPs_CfgInitialize().

u8 XEmacPs_Config::S100MDiv1

100Mbps Clock Divider 1

Referenced by XEmacPs_CfgInitialize().

u16 XEmacPs_Config::S10MDiv0

10Mbps Clock Divider 0

Referenced by XEmacPs_CfgInitialize().

u8 XEmacPs_Config::S10MDiv1

10Mbps Clock Divider 1

Referenced by XEmacPs_CfgInitialize().

u16 XEmacPs_Config::S1GDiv0

1Gbps Clock Divider 0

Referenced by XEmacPs_CfgInitialize(), and XEmacPsClkSetup().

u8 XEmacPs_Config::S1GDiv1

1Gbps Clock Divider 1

Referenced by XEmacPs_CfgInitialize(), and XEmacPsClkSetup().